Loading...
Searching...
No Matches
device_parameters Struct Reference

`#include <dvh.h>`

## Data Fields

unsigned char | dp_ctq_depth
unsigned short | dp_cyls
unsigned char | dp_cylshi
int | dp_datarate
int | dp_flags
unsigned char | dp_gap1
unsigned char | dp_gap2
unsigned short | dp_interleave
int | dp_mspw
int | dp_nretries
unsigned short | dp_secbytes
unsigned short | dp_secs
unsigned short | dp_shd0
unsigned char | dp_skew
unsigned char | dp_spares_cyl
unsigned short | dp_trks0
unsigned short | dp_unused
unsigned short | dp_xgap1
unsigned short | dp_xgap2
unsigned short | dp_xrdly
unsigned short | dp_xrgate
unsigned short | dp_xsync
unsigned short | dp_xwcont

## Field Documentation

## dp_ctq_depth

unsigned char device_parameters::dp_ctq_depth

## dp_cyls

unsigned short device_parameters::dp_cyls

## dp_cylshi

unsigned char device_parameters::dp_cylshi

## dp_datarate

int device_parameters::dp_datarate

## dp_flags

int device_parameters::dp_flags

## dp_gap1

unsigned char device_parameters::dp_gap1

## dp_gap2

unsigned char device_parameters::dp_gap2

## dp_interleave

unsigned short device_parameters::dp_interleave

## dp_mspw

int device_parameters::dp_mspw

## dp_nretries

int device_parameters::dp_nretries

## dp_secbytes

unsigned short device_parameters::dp_secbytes

## dp_secs

unsigned short device_parameters::dp_secs

## dp_shd0

unsigned short device_parameters::dp_shd0

## dp_skew

unsigned char device_parameters::dp_skew

## dp_spares_cyl

unsigned char device_parameters::dp_spares_cyl

## dp_trks0

unsigned short device_parameters::dp_trks0

## dp_unused

unsigned short device_parameters::dp_unused

## dp_xgap1

unsigned short device_parameters::dp_xgap1

## dp_xgap2

unsigned short device_parameters::dp_xgap2

## dp_xrdly

unsigned short device_parameters::dp_xrdly

## dp_xrgate

unsigned short device_parameters::dp_xrgate

## dp_xsync

unsigned short device_parameters::dp_xsync

## dp_xwcont

unsigned short device_parameters::dp_xwcont

The documentation for this struct was generated from the following file:

- libparted/labels/dvh.h